Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.wsdl
Interface Definition4BPEL

All Superinterfaces:
  javax.wsdl.extensions.AttributeExtensible, javax.wsdl.Definition, javax.wsdl.extensions.ElementExtensible, java.io.Serializable, javax.wsdl.WSDLElement

    public interface Definition4BPEL

extends javax.wsdl.Definition

Extension of the WSDL `Definition` interface that includes manipulators for BPEL-specific extensions.

Field Summary

Fields inherited from interface javax.wsdl.extensions.AttributeExtensible
`LIST_OF_QNAMES_TYPE, LIST_OF_STRINGS_TYPE, NO_DECLARED_TYPE, QNAME_TYPE, STRING_TYPE`

Method Summary
`javax.wsdl.Definition` | `getDefinition()`
`PartnerLinkType` | `getPartnerLinkType(javax.xml.namespace.QName partnerLinkType)`
`java.util.List<PartnerLinkType>` | `getPartnerLinkTypes()` Get a list of the defined `PartnerLinkType`s.
`java.util.List<Property>` | `getProperties()` Get a list of the defined `Property`s.
`Property` | `getProperty(javax.xml.namespace.QName name)` Get a declared BPEL property, by name.
`PropertyAlias` | `getPropertyAlias(javax.xml.namespace.QName propertyName, javax.xml.namespace.QName messageType)` Get the property alias for the given property name and message type.
`java.util.List<PropertyAlias>` | `getPropertyAliases()` Get a list of the defined `PropertyAlias`es.
`java.util.List<XMLSchemaType>` | `getSchemas()` Get a list of the schema types defined in-line.

Methods inherited from interface javax.wsdl.Definition
`addBinding, addImport, addMessage, addNamespace, addPortType, addService, createBinding, createBindingFault, createBindingInput, createBindingOperation, createBindingOutput, createFault, createImport, createInput, createMessage, createOperation, createOutput, createPart, createPort, createPortType, createService, createTypes, getAllBindings, getAllPortTypes, getAllServices, getBinding, getBindings, getDocumentBaseURI, getExtensionRegistry, getImports, getImports, getMessage, getMessages, getNamespace, getNamespaces, getPortType, getPortTypes, getPrefix, getQName, getService, getServices, getTargetNamespace, getTypes, removeBinding, removeImport, removeMessage, removeNamespace, removePortType, removeService, setDocumentBaseURI, setExtensionRegistry, setQName, setTargetNamespace, setTypes`

Methods inherited from interface javax.wsdl.WSDLElement
`getDocumentationElement, setDocumentationElement`

Methods inherited from interface javax.wsdl.extensions.AttributeExtensible
`getExtensionAttribute, getExtensionAttributes, getNativeAttributeNames, setExtensionAttribute`

Methods inherited from interface javax.wsdl.extensions.ElementExtensible
`addExtensibilityElement, getExtensibilityElements, removeExtensibilityElement`

Method Detail

### getPartnerLinkTypes

    java.util.List<PartnerLinkType> getPartnerLinkTypes()

  Get a list of the defined `PartnerLinkType`s.

  Returns:
    `List` of `PartnerLinkType` objects

### getProperties

    java.util.List<Property> getProperties()

  Get a list of the defined `Property`s.

  Returns:
    `List` of `Property` objects

### getProperty

    Property getProperty(javax.xml.namespace.QName name)

  Get a declared BPEL property, by name.

  Parameters:
    `name` - property name
  Returns:
    the `Property` or `null` if not defined

### getSchemas

    java.util.List<XMLSchemaType> getSchemas()

  Get a list of the schema types defined in-line.

  Returns:
    `List` of `org.apache.ode.utils.wsdl.XMLSchemaType` objects

### getPropertyAliases

    java.util.List<PropertyAlias> getPropertyAliases()

  Get a list of the defined `PropertyAlias`es.

  Returns:
    `List` of `PropertyAlias` objects

### getPropertyAlias

    PropertyAlias getPropertyAlias(javax.xml.namespace.QName propertyName,
                                   javax.xml.namespace.QName messageType)

  Get the property alias for the given property name and message type.

  Parameters:
    `propertyName` - property name
    `messageType` - message type
  Returns:
    matching `PropertyAlias` or `null` if not found

### getPartnerLinkType

    PartnerLinkType getPartnerLinkType(javax.xml.namespace.QName partnerLinkType)

### getDefinition

    javax.wsdl.Definition getDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD